#pragma once

#include "CoreMinimal.h"
#include "Interfaces/IConfigParser.h"

class INJOYLAB_API IniConfigParser : public IConfigParser
{
private:
    TMap<FString, FString> ParsedData; // 洢 INI üֵ

public:
    IniConfigParser();
    virtual ~IniConfigParser() = default;

    //  INI ļ
    virtual bool LoadConfig(const FString& FilePath) override;

    // ȡֵַ
    virtual FString GetString(const FString& Key, const FString& DefaultValue = TEXT("")) const override;

    // ȡֵ
    virtual int32 GetInt(const FString& Key, int32 DefaultValue = 0) const override;

    // ȡֵ
    virtual float GetFloat(const FString& Key, float DefaultValue = 0.0f) const override;

    // ȡֵ
    virtual bool GetBool(const FString& Key, bool DefaultValue = false) const override;

    // ȡֵ
    virtual TArray<FString> GetArray(const FString& Key) const override;

    // ȡӶ
    virtual TSharedPtr<IConfigParser> GetObject(const FString& Key) const override;

    // ӡݣã
    virtual void PrintConfig() const override;
};