// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "InJoyConfigManager.generated.h"

USTRUCT(BlueprintType)
struct FPerson
{
    GENERATED_BODY()

    UPROPERTY(BlueprintReadWrite)
    FString Name;

    UPROPERTY(BlueprintReadWrite)
    int32 Age;

    UPROPERTY(BlueprintReadWrite)
    float Score;
};

/*
* CSV
Name,Age,Score,IsActive
John,25,89.5,true
Alice,30,95.0,false
Bob,22,78.0,true
*/

/**
 * 
 */
UCLASS()
class INJOYLAB_API UInJoyConfigManager : public UObject
{
	GENERATED_BODY()
	
	void TestLoadJsonArray();

	void TestSaveJsonArray();

    void TestIniConfigParser();

    void TestCSVConfigParser();
};
