// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"

/**
 * 
 */
class INJOYLAB_API IConfigParser
{
public:
    virtual ~IConfigParser() = default;

    // ļ
    virtual bool LoadConfig(const FString& FilePath) = 0;

    // ȡֵַ
    virtual FString GetString(const FString& Key, const FString& DefaultValue = TEXT("")) const = 0;

    // ȡֵ
    virtual int32 GetInt(const FString& Key, int32 DefaultValue = 0) const = 0;

    // ȡֵ
    virtual float GetFloat(const FString& Key, float DefaultValue = 0.0f) const = 0;

    // ȡֵ
    virtual bool GetBool(const FString& Key, bool DefaultValue = false) const = 0;

    // ȡֵַʽ
    virtual TArray<FString> GetArray(const FString& Key) const = 0;

    // ȡӶǶ׽ṹ
    virtual TSharedPtr<IConfigParser> GetObject(const FString& Key) const = 0;

    // ӡݣã
    virtual void PrintConfig() const = 0;
};
